# Project

Everything starts with a project. Kindly create a project by clicking on the project selection box at the top of the dashboard and click on the [*Create New Project*](https://mockapi.com/Project/Create) button.

#### Locale

Locales are set project wide. This means that all endpoints within a project will return data in the locale set for that project.

#### API Key

An API key is associated with a project, and can be regenerated at any time from the *API Key* tab on the [*Settings*](https://mockapi.com/Project/Settings) page.

#### Teams

Multiple users can collaborate and work on a project. Any user can invite others to join a project by clicking on the *Invite User* button and entering their email address on the *Manage Teams* tab on the [*Settings*](https://mockapi.com/Project/Settings) page.

When a new team member joins a project, they are not required to upgrade their plans. It is the responsibility of the project owner to upgrade their plan to avail advanced features for that project and any other project they may have.

#### Advanced Configuration

**Pagination Request Parameter Labels**: This is where you set the label for the pagination request parameters.

For eg:

<pre class="language-javascript"><code class="lang-javascript">?<a data-footnote-ref href="#user-content-fn-1">page</a>=x&#x26;<a data-footnote-ref href="#user-content-fn-2">limit</a>=y
</code></pre>

The default values are **page** and **limit** respectively.

If a page number is set in the request parameter, it will return same page number within the pagination response data.

If a limit is set in the request parameter, it will return a total record of the limit set.

**Note**: The settings is for setting the labels, not the actual numbers.

**Pagination Response Parameter Labels**: This is where you set the labels for the pagination data within the response body.

The pagination data is returned in this format:

<pre class="language-json"><code class="lang-json">{
    "data": [
        ...
    ],
    "<a data-footnote-ref href="#user-content-fn-3">pagination</a>": {
        "<a data-footnote-ref href="#user-content-fn-3">currPage</a>": 1,
        "<a data-footnote-ref href="#user-content-fn-3">nextPage</a>": 2,
        "<a data-footnote-ref href="#user-content-fn-3">prevPage</a>": null,
        "<a data-footnote-ref href="#user-content-fn-3">pageSize</a>": 5,
        "<a data-footnote-ref href="#user-content-fn-3">totalPages</a>": 200,
        "<a data-footnote-ref href="#user-content-fn-3">totalRecords</a>": 1000
    }
}
</code></pre>

The labels for this data can be changed from the "Advanced Configuration" tab on the [*Settings*](https://mockapi.com/Project/Settings) page. Eg: ***currPage*** can be changed to ***currentPage*** or ***page***.

[^1]: page label

[^2]: limit label

[^3]: default label


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mockapi.com/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
